apiVersion: v1
kind: Service
metadata:
  annotations:
    field.cattle.io/publicEndpoints: '[{"addresses":["192.168.200.13"],"port":30005,"protocol":"TCP","serviceName":"tokoemas:apiservice-nodeport","allNodes":true}]'
    field.cattle.io/targetWorkloadIds: '["tokoemas/apiservice"]'
    management.cattle.io/ui-managed: "true"
  name: apiservice-nodeport
  namespace: tokoemas
spec:
  externalTrafficPolicy: Cluster
  ports:
  - name: apiservice
    nodePort: 30005
    port: 8000
    protocol: TCP
    targetPort: 8000
  selector:
    workload.user.cattle.io/workloadselector: apps.deployment-tokoemas-apiservice
  sessionAffinity: None
  type: NodePort
